=== WordPress Hide Posts ===
Contributors: martin7ba
Donate link: https://www.martincv.com/whp-donate
Tags: hide posts, hide, show, visibility, hide products, rss feed, rest api
Requires at least: 5.0
Tested up to: 6.4.3
Requires PHP: 7.3
Stable tag: 1.1.1
License: GPLv3 or later
License URI: http://www.gnu.org/licenses/gpl-3.0.html

== Description ==

This plugin allows you to hide any posts on the home page, category page, search page, tags page, authors page, RSS Feed, REST API, Post Navigation and Native Recent Posts Widget.

[Try the Demo](https://demo.tastewp.com/whp-hide-posts "Demo")

= Features: =

- Users can choose to hide specific posts on specific archives and pages in WordPress as well in RSS Feed and REST API.
- Users can enable the option to show the hide functionality on Custom Post Types and hide those Custom Post Type posts on any archive and pages.
- Users can hide Woocommerce products in product categories and on the store page as well as hide products fetched by Woocommerce REST API.

== Installation ==

Installation and uninstallation are extremely simple. You can use WordPress' automatic install or follow the manual instructions below.

= Installing: =

1. Download the package.
2. Extract it to the "plugins" folder of your WordPress directory.
3. In the Admin Panel, go to "Plugins" and activate it.
4. Go to Settings -> Hide Posts to enable the hide functionality for additional post types beside 'post'.

= Uninstalling: =

1. In the Admin Panel, go to "Plugins", deactivate the plugin and click "Delete".

= Usage: =

Using this plugin is simple. Once it has been activated, navigate to Settings -> Hide Posts and select additional post types for which
you want to use the Hide functionality. The functionality is enabled by default for 'Posts' and cannot be disabled for that type post.

If you need any additional help fell free to contact me at [martin@martincv.com](mailto:martin@martincv.com) for more information.

== Frequently Asked Questions ==

= This plugin saved me a lot of work. Where can I donate? =

Thanks, donations help us to continue improving our plugins. [Read More About Donations.](https://www.martincv.com/whp-donate/)

= I want to migrate from other hide posts plugin to WordPress Hide Posts plugin =

This is possible. This functionality is not free. You can contact me at [martin@martincv.com](mailto:martin@martincv.com) for more information and send the name of the plugin you want to migrate from.

== Screenshots ==

1. The Settings screen for the plugin.

2. The Hide Posts options in the Add / Edit post screen.

3. Post Lists table 'Hidden on' column.

== Changelog ==

= 1.1.1 =
_Release Date - 05 October 2022_

- Bug fix related to checkbox not checked when enabling Hide posts on signle post page.

= 1.1.0 =
_Release Date - 02 September 2022_

- Added option to hide posts on the single post page. This option will hide posts shown in any widget, block (related posts, recent posts etc) on the single post page.

= 1.0.3 =
_Release Date - 01 September 2022_

- Bug fix with conditional logic on when to modify meta query.

= 1.0.2 =
_Release Date - 20 February 2022_

- Hide WooCommerce Product from REST API bug fix.

= 1.0.1 =
_Release Date - 13 February 2022_

- Bug fix. Added check for enabled post type for REST API Hide.

= 1.0.0 =
_Release Date - 07 February 2022_

- Code base optimized and refactored.
- Added option to hide CPT on their own archive page.
- Added option to hide any post type on archive page other than category, tag. Ex: Custom Taxonomy archive page.
- Added option to hide posts in REST API calls.
- Added option to hide Woocommerce Products in REST API calls.

= 0.5.4 =
_Release Date - 26 December 2021_

- Added option to hide posts on the default WordPress Recent Posts Widget
  (NOTE: This option will not work on the Latest Posts Gutenberg block. The feature can be tracked here [core.trac.wordpress.org/ticket/54580](https://core.trac.wordpress.org/ticket/54580))
- Added compatibility with Zeen Theme Load More functionality

= 0.5.3 =
_Release Date - 15 August 2020_

- Fixed jQuery Migrate Helper warning showing in console

= 0.5.2 =
_Release Date - 12 August 2020_

- Added option to select all hide options in post metabox
- Add new column in posts list table that shows on which pages the post is hidden
- Added option in Settigns -> Hide Posts to disable the showing of the said column

= 0.5.1 =
_Release Date - 19 May 2020_

- Added option to hide posts default WordPress post navigation
- Fix for hiding menu items bug

= 0.5.0 =
_Release Date - 17 April 2020_

- Removed option to hide post from REST API added in version 0.4.3 due to conflict with Guttenberg save / update post.
  The conflict happens because Guttenberg is using the REST API to save post and load additional data the hide post on REST API was causing conficts with the data.

= 0.4.4 =
_Release Date - 14 April 2020_

- Added option to hide post on date archive page

= 0.4.3 =
_Release Date - 06 April 2020_

- Added option to hide posts from REST API all posts query: /wp-json/wp/v2/posts/
  Note: Single post entry in REST API remains available /wp-json/wp/v2/posts/[post_id]

= 0.4.2 =
_Release Date - 13 February 2020_

- Bug fix

= 0.4.1 =
_Release Date - 13 February 2020_

- Workaround added for issue showing warnings when is_front_page() function is called in pre_get_posts filter. This is related to wordpress core and can be tracked at [#27015](https://core.trac.wordpress.org/ticket/27015) and [#21790](https://core.trac.wordpress.org/ticket/21790)

= 0.4.0 =
_Release Date - 21 December 2019_

- Added option to hide posts on the blog page as selected in Settings -> Reading (Posts Page)

= 0.3.2 =
_Release Date - 13 December 2019_

- Bug fix for checking if Woocommerce is active on mutlinetwork site

= 0.3.1 =
_Release Date - 07 December 2019_

- Added option to hide posts in RSS Feed
- Added options to hide Woocommece products on Store (Shop) page and on Product category pages

= 0.2.1 =
_Release Date - 13 November 2019_

- Compatibility checkup with Wordpress 5.3
- Added option to enable the Hide Post functionality for additional post types (Check Settings -> Hide Posts)
- Added uninstall.php file to clean up options and post meta added by the plugin

= 0.1.1 =
_Release Date - 05 September 2019_

- Code and compatibility updates.
- Added translateable strings.

= 0.0.1 =
_Release Date - 11 October 2017_

- Public release of 'Wordpress Hide Posts'
